{-# LANGUAGE NoImplicitPrelude #-}
module Bamboo.View.Widget.Helper where

import Bamboo.Helper.Env
  
import qualified Bamboo.Config.Global as G
import qualified Bamboo.Type.State as State
import qualified Bamboo.Model.Tag as Tag

rss_url_link_pair state = 
  if tagged 
  then
    let tag_name = Tag.get_name uid in
      link ( G.tag_id / tag_name) tag_name
  else link "" "Home"
  where
    uid = State.uid state
    tagged = uid.match "^tag/.+" .isJust
    url r = G.root / r / "rss.xml"
    link r s = (url r, hotlink (url r) ! [ theclass "feedlink" ] << s)